<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* twitter-designer-javascript.twig */
class __TwigTemplate_8c492de7591bdf2b96cd250eeab2ab7e1a59e8679395d4610204e551172a6547 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 8
        echo "<script type=\"text/javascript\">

    /** 
    * Runs before form submit
    * @return {bool} - Form validation
    */
    function twitter_form_edit_submit() {        

        // Update text callback fields
        formHelpers.updateCKEditor();
    }

    // Runs after edit form opens
    function twitter_form_edit_open() {

        // Set duration field, using the helper ()
        formHelpers.setupCheckboxInputFields(\$(this).find('form'), '#useDuration', '.duration-fields');

        // Set override template field, using the helper ()
        formHelpers.setupCheckboxInputFields(\$(this), '#overrideTemplate', '.template-override-controls', '.template-selector-control');

        // Set effect type input field, using the helper ()
        formHelpers.setupObjectValueInputFields(\$(this).find('form'), '#effect', ['.effect-controls'], ['noAnim'], true);

        // Setup editors
        formHelpers.setupDualTypeTextArea(this, 'ta_text', !\$(this).data('formEditorOnly'));

        // Setup template override
        formHelpers.setupTemplateOverriding(this, '#overrideTemplate', '#templateId', 
            {
                '#ta_text_advanced': 'defaultVisualEditor',
                '#ta_text': 'template',
                '#ta_css': 'css',
                '#widgetOriginalWidth': 'widgetOriginalWidth',
                '#widgetOriginalHeight': 'widgetOriginalHeight',
                '#widgetOriginalPadding': 'widgetOriginalPadding',
                '#resultContent': 'resultContent'
            });

        // Set colorpicker for the bg colour
        \$(this).find('#backgroundColor').colorpicker({format: 'rgba'});

        // Tidy up colorpickers on modal close
        if(\$(this).hasClass('modal')) {
            \$(this).on(\"hide.bs.modal\", function(e) {
                if(e.namespace === 'bs.modal') {
                    // Remove colour pickers
                    \$(this).find(\"#backgroundColor\").colorpicker('destroy');
                }
            });
        }
    }
</script>";
    }

    public function getTemplateName()
    {
        return "twitter-designer-javascript.twig";
    }

    public function getDebugInfo()
    {
        return array (  30 => 8,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "twitter-designer-javascript.twig", "/home/mgatv524/public_html/edurocha/modules/twitter-designer-javascript.twig");
    }
}
